*{ 
    margin: 0;
    padding: 0;
    font-family:'Courier New', Courier, monospace;
    box-sizing: border-box;
}
body{
    background: hsl(244, 57%, 10%);
    color: #fff;
}
#header{
    width: 100%;
    align-items: center;
}
.container{
    display: flex;
    justify-content: space-between;
    align-items:center;
    padding: 0 20px;
    flex-wrap: wrap;
    margin-top:0;
}

nav{
    display:flex;
    align-items: center;
    justify-content: space-between;
    width:100%;
}
.logo{
    max-width:100%;
    height:100px;
    margin:0;
}
nav ul li{
    display: inline-block;
    list-style: none;
    margin: 10px 20px;
}
nav ul li a{
    color:white;
    text-decoration:none;
    font-size: 18px;
}
nav ul li a::after{
    content:'';
    width: 100%;
    height: 3px;
    position: absolute;
    left:0;
    bottom: -6px;
    transition: 0.5s;
}
nav ul li a:hover::after{
    width: 100%;
}
.header-text h1{
    font-size: 60px;
    margin-top: 20px;
    text-align:center;
}
.header-text h1 span{
    color:bisque;
}
.tagline{
    color:#306998;
    font-size:45px;
    text-align:center;
    font-weight: bold;
}
.center{
    display:block;
    margin-left:auto;
    margin-right:auto;
    max-width:100%;
    height:auto;
}
/*---------about---------*/
#about{
    padding: 80px 0;
    color: #e4e6ea;
}
.row{
    display:flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
.sub-titleforabout{
    font-weight: bold;
    font-size:60px;
}
.about-col-1{
    flex-basis:65%;
    margin-right: 20px;
}
.about-col-2{
    flex-basis:25%;
    margin-left: 45px;
}

.sub-title{
    font-size:60px;
    font-weight: 400;
    color: #fff;
}
/*------------projects----------*/
#projects{
    padding: 30px 0;
}
.projects-list{
    display:grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 40px;
    margin-top: 50px;
}
.sub-titleforprojects{
    font-weight: bold;
    font-size:60px;
}
.projects-list div{
    background: #262626;
    padding: 40px;
    font-size: 13px;
    font-weight: 300;
    border-right: 10px;
    transition: background 0.5s, transfrm 0.5s;
}
.projects-list div i{
    font-size: 50px;
    margin-bottom: 30 px;
}
.projects-list div h2{
    font-size: 30px;
    font-weight: 500;
    margin-bottom: 15px;
}
.projects-list div a{
    text-decoration: none;
    color: #fff;
    font-size: 12px;
    margin-top: 20px;
    display: inline-block;
}
.projects-list div:hover{
    background: #42045d;
    transform: translateY(-10px);
}
/*-------skills-------*/
.row1 {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.about-col-11, .about-col-22 {
    background-color: #58066c;
    width: 48%; 
    padding: 15px;
    box-sizing: border-box;
    cursor: pointer;          
    transition: background-color 0.3s; 
}
.about-col-11:hover {
    background-color: #7848ad; 
}
.about-col-22:hover {
    background-color: #7848ad; 
}
.sub-titleforskills{
    font-weight: bold;
    font-size:60px;
}
.skills-list {
    margin-top: 20px;
    font-weight: bold;
}

.skills {
    margin-bottom: 20px;
}
.sub-titleforskillbar{
    font-weight: bold;
    font-size:50px;
}

.skill-bar {
    width: 100%;
    background-color: #e6e6e6;
    border-radius: 5px;
    overflow: hidden;
    margin-top: 5px;
}

.skill-level {
    height: 20px;
    border-radius: 5px;
}

.html {
    width: 75%; 
    background-color: #9e5ed1;
}

.css {
    width: 70%;
    background-color: #80e0b4;
}

.javascript {
    width: 60%;
    background-color: #e6d87b;
}

.python {
    width: 85%;
    background-color: #a9559f;
}
.fas {
    font-size: 36px;
    margin-bottom: 10px;
}
/*--------contact------*/
.contact-left{
    flex-basis: 35%;
}
.contact-right{
    flex-basis:60%;
}
.sub-titleforcontact{
    font-weight: bold;
    font-size:60px;
}
.contact-left p{
    margin-top:30px;
}
.contact-left p i{
    color: #500727;
    margin-right: 15px;
    font-size: 25px;
}
.social-icons{
    margin-top:30px;
}
.social-icons a{
    text-decoration:none;
    font-size: 30px;
    margin-right: 15px;
    color: #ababab;
    display:inline-block;
    transition:transform 0.5%;
}
.social-icons a:hover{
    color: #500727;
    transform: translateY(-5px);
}
.contact-right form{
    width: 100%;
}
form input, form textarea{
    width:100%;
    border: 0;
    outline:none;
    background:#262626;
    padding:15px;
    margin: 15px 0;
    color: #e4dada;
    font-size:18px;
    border-radius:6px;
}

.btn.btn2 {
    background-color: #560743; 
    color: white;             
    padding: 10px 20px;      
    border: none;            
    border-radius: 5px;       
    font-size: 16px;          
    cursor: pointer;         
    transition: background-color 0.3s; 
    font-weight: bold;                        
}

.btn.btn2:hover {
    background-color: #87739e; 
}

/*-------footer--------*/
.footer{
    width: 100%;
    text-align: center;
    padding: 25px 0;
    background: #262626;
    font-weight: 300;
    margin-top:20px;

}
/*------------ css for small screens--------*/
nav .fas{
    display:none;
}
  @media only screen and (max-width: 600px){
    
    .header-text{
        margin-top:20px;
        font-size:16px;
    }
    .header-text h1{
        font-size: 24px;
    }
    nav .fas{
        display:block;
        font-size:25px;
        color:#fff;
    }
    nav ul{
        background: #2d08c1;
        position:fixed;
        top:0;
        right:-200px;
        width: 200px;
        height: 100vh;
        padding-top: 50px;
        z-index:2;
        transition:right 0.5s;
    }
    nav ul li{
       display: block;

    }
    nav ul .fas{
        position:absolute;
        top: 25px;
        left: 25px;
        cursor: pointer;
    }
    .sub-title{
        font-size: 40px;

    }
    .about-col-1, .about-col-2{
        flex-basis: 100%;
    }
    .about-col-1{
        margin-bottom: 30px;
    }
    .about-col-2{
        font-size: 14px;
    }
  }
